=== modified file 'Makefile.am'
--- Makefile.am	2008-12-10 23:20:13 +0000
+++ Makefile.am	2008-12-16 01:53:06 +0000
@@ -14,6 +14,7 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 ACLOCAL_AMFLAGS = -I m4
+CONFIGURE_DEPENDENCIES= ${drizzle_plugin_files}
 
 # Process this file with automake to create Makefile.in
 if BUILD_GETTEXT
@@ -35,6 +36,7 @@
 
 EXTRA_DIST = config/config.rpath
 DISTCLEANFILES = ac_available_languages_fragment
+MAINTAINERCLEANFILES = autom4te.cache
 
 # Create empty datadir 
 install-data-local:
@@ -47,8 +49,6 @@
 		fi \
 	fi
 
-distclean-local:
-	@RM@ -r -f autom4te.cache
 
 .PHONY: test \
     test-force \

=== modified file 'm4/plugins.m4'
--- m4/plugins.m4	2008-08-12 21:13:01 +0000
+++ m4/plugins.m4	2008-12-16 01:53:06 +0000
@@ -301,6 +301,7 @@
     _DRIZZLE_CHECK_PLUGIN_ARGS([$1])
     _DRIZZLE_CONFIGURE_PLUGINS(m4_bpatsubst(__mysql_plugin_list__, :, [,]))
     _DRIZZLE_EMIT_PLUGIN_ACTIONS(m4_bpatsubst(__mysql_plugin_list__, :, [,]))
+    AC_SUBST([drizzle_plugin_files])
     AC_SUBST([mysql_se_dirs])
     AC_SUBST([mysql_pg_dirs])
     AC_SUBST([mysql_se_unittest_dirs])
@@ -803,12 +804,10 @@
 AC_DEFUN([_DRIZZLE_INCLUDE_LIST],[
  ifelse([$1], [], [], [
   m4_define([__mysql_include__],[$1])
-  dnl We have to use builtin(), because sinclude would generate an error
-  dnl "file $1 does not exists" in aclocal-1.8 - which is a bug, clearly
-  dnl violating m4 specs, and which is fixed in aclocal-1.9
-  builtin([include],$1)
+  sinclude($1)
   m4_undefine([__mysql_include__])
   _DRIZZLE_INCLUDE_LIST(m4_shift($@))
+  drizzle_plugin_files="\${top_srcdir}/$1 ${drizzle_plugin_files}"
  ])
 ])
 

